> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# Send an event to PagerDuty

`POST https://events.pagerduty.com/v2/enqueue`

Your monitoring tools should send PagerDuty a trigger event to report a new problem, or update an ongoing problem, depending on the event type.

## Request body (`application/json`) — required

| Field | Type | Required | Description |
|---|---|---|---|
| `payload` | object |  | Fields adding additional context about the location, impact, and character of the PagerDuty event. |
| `payload.summary` | string | yes | A brief text summary of the event, used to generate the summaries/titles of any associated alerts. |
| `payload.timestamp` | string (date-time) |  | The time at which the emitting tool detected or generated the event. |
| `payload.severity` |  | yes | The perceived severity of the status the event is describing withrespect to the affected system. One of: `critical`, `warning`, `error`, `info`. |
| `payload.source` | string | yes | The unique location of the affected system, preferably a hostname or FQDN. |
| `payload.component` | string |  | Component of the source machine that is responsible for the event. |
| `payload.group` | string |  | Logical grouping of components of a service. |
| `payload.class` | string |  | The class/type of the event. |
| `payload.custom_details` | object |  | Additional details about the event and affected system. |
| `routing_key` | string | yes | The GUID of one of your Events API V2 integrations. This is the "Integration Key" listed on the Events API V2 integration's detail page. |
| `event_action` |  | yes | The type of event. Can be `trigger`, `acknowledge` or `resolve`. One of: `trigger`, `acknowledge`, `resolve`. |
| `dedup_key` | string |  | Identifies the alert to `trigger`, `acknowledge`, or `resolve`. Required unless the `event_type` is `trigger`. |
| `client` | string |  | The name of the monitoring client that is triggering this event. (This field is only used for `trigger` events.) |
| `client_url` | string (url) |  | The URL of the monitoring client that is triggering this event. (This field is only used for `trigger` events.) |
| `links` | array of object |  | Links to be shown on the alert and/or corresponding incident. |
| `links[].href` | string (url) | yes | The link being attached to an incident or alert. |
| `links[].text` | string |  | Optional information pertaining to this context link. |
| `images` | array of object |  | Images to be displayed on the alert and/or corresponding incident. |
| `images[].src` | string (url) | yes | The source of the image being attached to the incident or alert. This image must be served via HTTPS. |
| `images[].href` | string (url) |  | Optional link for the image. |
| `images[].alt` | string |  | Optional alternative text for the image. |

Example: Example Event Body

```json
{
  "payload": {
    "summary": "DISK at 99% on machine prod-datapipe03.example.com",
    "timestamp": "2015-07-17T08:42:58.315+0000",
    "severity": "critical",
    "source": "prod-datapipe03.example.com",
    "component": "mysql",
    "group": "prod-datapipe",
    "class": "disk",
    "custom_details": {
      "free space": "1%",
      "ping time": "1500ms",
      "load avg": 0.75
    }
  },
  "routing_key": "e93facc04764012d7bfb002500d5d1a6",
  "dedup_key": "srv01/mysql",
  "event_action": "trigger",
  "client": "Sample Monitoring Service",
  "client_url": "https://monitoring.service.com",
  "links": [
    {
      "href": "http://pagerduty.example.com",
      "text": "An example link."
    }
  ],
  "images": [
    {
      "src": "https://chart.googleapis.com/chart?chs=600x400&chd=t:6,2,9,5,2,5,7,4,8,2,1&cht=lc&chds=a&chxt=y&chm=D,0033FF,0,0,5,1",
      "href": "https://google.com",
      "alt": "An example link with an image"
    }
  ]
}
```

## Response 202

An alert has been created or updated.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `status` | string | yes | Returns "success" if successful, or a short error message in case of a failure. |
| `dedup_key` | string |  | The key used to correlate triggers, acknowledges, and resolves for the same alert. |
| `message` | string |  | A description of the problem, or "Event processed" if successful. |

Example: Example Success Response

```json
{
  "status": "success",
  "message": "Event processed",
  "dedup_key": "srv01/HTTP"
}
```

## Response 400

#/components/responses/ArgumentError

## Response 429

#/components/responses/TooManyRequests

## Response 5XX

An error occurred on a request.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `status` | string | yes | A short name for the error. |
| `message` | string | yes | A description of the problem. |
| `errors` | array of string |  | An array of specific error messages. |

Example: Example Error Response

```json
{
  "status": "Unrecognized object",
  "message": "Event object format is unrecognized",
  "errors": [
    "JSON parse error"
  ]
}
```

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
